aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEyal Reizer2013-02-06 02:33:44 -0600
committerEyal Reizer2013-02-06 02:33:44 -0600
commit3af56f1c9f4a9a6a4d7dc4f4e48ff4fbcc426bee (patch)
treebfbafdec24cbbcc6a738cce3d0784b72779bf0be
parenta2b0edd7137a5263d2850b5f1e03ccdea863384e (diff)
downloadbuild-utilities-3af56f1c9f4a9a6a4d7dc4f4e48ff4fbcc426bee.tar.gz
build-utilities-3af56f1c9f4a9a6a4d7dc4f4e48ff4fbcc426bee.tar.xz
build-utilities-3af56f1c9f4a9a6a4d7dc4f4e48ff4fbcc426bee.zip
wl12xx_build.sh: update for R5_SP3
Update the wl12xx wlan build script for R5_SP3.05 release (ol_R5.SP3.05) Signed-off-by: Eyal Reizer <eyalr@ti.com>
-rwxr-xr-xwl12xx_build.sh97
1 files changed, 84 insertions, 13 deletions
diff --git a/wl12xx_build.sh b/wl12xx_build.sh
index 8ce6c18..42a10a3 100755
--- a/wl12xx_build.sh
+++ b/wl12xx_build.sh
@@ -1,15 +1,14 @@
1#!/bin/bash 1!/bin/bash
2 2
3BUILD_VERSION="r5" 3BUILD_VERSION="r5"
4#### R5-SP2
5declare -A compat_download_target["r5"]="https://gforge.ti.com/gf/download/frsrelease/864/5621/ti-compat-wireless-wl12xx-2012-05-17-r5-18.tar.gz http://processors.wiki.ti.com/images/6/6e/Compat-wireless-patches-r5.zip"
6 4
5#### R5 SP3.05
6declare -A compat_download_target["r5"]="https://gforge.ti.com/gf/download/frsrelease/994/6330/ti-compat-wireless-R5_SP3.05.tar.gz https://gforge.ti.com/gf/download/frsrelease/934/6105/Compat-wireless-patches-R5_SP3_build_10.zip"
7declare -A ti_utils_download_target["r5"]="git://github.com/TI-OpenLink/ti-utils.git" 7declare -A ti_utils_download_target["r5"]="git://github.com/TI-OpenLink/ti-utils.git"
8declare -A ti_utils_commit_id["r5"]="ol_R5.00.18" 8declare -A ti_utils_commit_id["r5"]="ol_R5.SP3.05"
9
10declare -A hostap_download_target["r5"]="git://github.com/TI-OpenLink/hostap.git" 9declare -A hostap_download_target["r5"]="git://github.com/TI-OpenLink/hostap.git"
11declare -A hostap_commit_id["r5"]="ol_R5.00.18" 10declare -A hostap_commit_id["r5"]="ol_R5.SP3.05"
12declare -A hostap_patches["r5"]="http://processors.wiki.ti.com/images/3/3c/Hostapd-wpa-supplicant-patches-r5.zip" 11#declare -A hostap_patches["r5"]="http://processors.wiki.ti.com/images/3/3c/Hostapd-wpa-supplicant-patches-r5.zip"
13 12
14 13
15if [ ! -e setup-env ] 14if [ ! -e setup-env ]
@@ -61,7 +60,6 @@ function compat-wireless()
61 "gz") 60 "gz")
62 [ ! -d ${WORK_SPACE}/compat-wireless ] && tar xzf $file 61 [ ! -d ${WORK_SPACE}/compat-wireless ] && tar xzf $file
63 ;; 62 ;;
64
65 "zip") 63 "zip")
66 if [ ! -e ${WORK_SPACE}/compat-wireless/patches-${BUILD_VERSION}.done ] 64 if [ ! -e ${WORK_SPACE}/compat-wireless/patches-${BUILD_VERSION}.done ]
67 then 65 then
@@ -76,7 +74,7 @@ function compat-wireless()
76 do 74 do
77 patch -p1 -i tmp-patches/${files[$i]} || exit 1; 75 patch -p1 -i tmp-patches/${files[$i]} || exit 1;
78 done 76 done
79 res=`./scripts/driver-select wl12xx` 77 res=`./scripts/driver-select wl12xx`
80 touch patches-${BUILD_VERSION}.done 78 touch patches-${BUILD_VERSION}.done
81 fi 79 fi
82 ;; 80 ;;
@@ -237,7 +235,7 @@ function ti-utils ()
237 then 235 then
238 git_clone "${ti_utils_download_target[$BUILD_VERSION]}" ti-utils 236 git_clone "${ti_utils_download_target[$BUILD_VERSION]}" ti-utils
239 cd ${WORK_SPACE}/ti-utils 237 cd ${WORK_SPACE}/ti-utils
240 git reset --hard "${ti_utils_commit_id[$BUILD_VERSION]}" 238 git reset --hard "${ti_utils_commit_id[$BUILD_VERSION]}"
241 fi 239 fi
242 240
243 if [ x"$stage" = "xbuild" -o x"$stage" = "xall" ] 241 if [ x"$stage" = "xbuild" -o x"$stage" = "xall" ]
@@ -598,8 +596,6 @@ LIBS_p += -L$(LIBNL)/lib -lssl -lcrypto -ldl
598# for p2p 596# for p2p
599CONFIG_P2P=y 597CONFIG_P2P=y
600CONFIG_AP=y 598CONFIG_AP=y
601# IEEE 802.11n (High Throughput) support
602CONFIG_IEEE80211N=y
603wpa_sup_defconfig 599wpa_sup_defconfig
604} 600}
605 601
@@ -622,6 +618,44 @@ function wpa_supplicant ()
622 cd $WORK_SPACE 618 cd $WORK_SPACE
623} 619}
624 620
621function bridge ()
622{
623 stage=$1
624 if [ x"$stage" = x"download" -o x"$stage" = "xall" ]
625 then
626 download "http://downloads.sourceforge.net/project/bridge/bridge/bridge-utils-1.5.tar.gz" "bridge-utils-1.5.tar.gz"
627 tar -xvzf bridge-utils-1.5.tar.gz
628 cd ${WORK_SPACE}/bridge-utils-1.5
629 autoconf
630 ./configure --prefix=${ROOTFS} CC=${CROSS_COMPILE}gcc LD=${CROSS_COMPILE}ld RANLIB=${CROSS_COMPILE}ranlib --host=arm-linux
631 if [ $? != 0 ]
632 then
633 echo "bridge failed to be configured"
634 exit 1
635 fi
636 fi
637 if [ x"$stage" = "xbuild" -o x"$stage" = "xall" ]
638 then
639 cd ${WORK_SPACE}/bridge-utils-1.5
640 make || exit 1
641 fi
642 if [ x"$stage" = "xinstall" -o x"$stage" = "xall" ]
643 then
644 cd ${WORK_SPACE}/bridge-utils-1.5
645 make install
646 cp ./brctl/brctl ${ROOTFS}/usr/sbin/ || exit 1
647 fi
648 if [ x"$stage" = "xclean" ]
649 then
650 cd $WORK_SPACE/bridge-utils-1.5
651# make uninstall
652 cd .. && rm -rf bridge-utils-1.5
653 fi
654 cd $WORK_SPACE
655}
656
657
658
625function usage () 659function usage ()
626{ 660{
627 echo "This script compiles one of following utilities: libnl, openssl, hostapd, wpa_supplicant,wl12xx_modules,firmware,crda,calibrator" 661 echo "This script compiles one of following utilities: libnl, openssl, hostapd, wpa_supplicant,wl12xx_modules,firmware,crda,calibrator"
@@ -637,6 +671,7 @@ function usage ()
637 echo " wl12xx_modules" 671 echo " wl12xx_modules"
638 echo " firmware" 672 echo " firmware"
639 echo " crda" 673 echo " crda"
674 echo " bridge"
640 echo " calibrator> action <download|build|install>" 675 echo " calibrator> action <download|build|install>"
641 echo " all" 676 echo " all"
642 echo " clean-all" 677 echo " clean-all"
@@ -669,7 +704,7 @@ function check_env()
669 which dpkg 2>&1>/dev/null || return 0 704 which dpkg 2>&1>/dev/null || return 0
670 err=0 705 err=0
671 ret=0 706 ret=0
672 packages="bash bison flex perl bc python python-m2crypto corkscrew git autoconf automake libtool gettext patch" 707 packages="python python-m2crypto bash bison flex perl bc corkscrew"
673 for p in ${packages} 708 for p in ${packages}
674 do 709 do
675 echo -n "Checking ${p}..." 710 echo -n "Checking ${p}..."
@@ -680,6 +715,7 @@ function check_env()
680 done 715 done
681 return ${ret} 716 return ${ret}
682} 717}
718
683############################# MAIN ############################################## 719############################# MAIN ##############################################
684# First building environment should be checked 720# First building environment should be checked
685check_env || exit 1 721check_env || exit 1
@@ -1011,7 +1047,41 @@ case $package in
1011 ;; 1047 ;;
1012 esac 1048 esac
1013 ;; 1049 ;;
1050 bridge)
1051 case $stage in
1052 download)
1053 package_dir_exists ${WORK_SPACE}/bridge-utils-1.5 bridge || exit 1
1054 bridge "download"
1055 ;;
1056 build)
1057 if [ ! -d ${WORK_SPACE}/bridge-utils-1.5 ]
1058 then
1059 bridge "download"
1060 fi
1061 cd ${WORK_SPACE}/bridge-utils-1.5
1062 bridge "build"
1063 ;;
1064 install)
1065 if [ ! -d ${WORK_SPACE}/bridge-utils-1.5 ]
1066 then
1067 bridge "all"
1068 else
1069 cd ${WORK_SPACE}/bridge-utils-1.5
1070 bridge "install"
1071 fi
1072 ;;
1073 all)
1074 package_dir_exists ${WORK_SPACE}/bridge-utils-1.5 bridge || rm -rf ${WORK_SPACE}/bridge-utils-1.5
1075 bridge "all"
1076 ;;
1077 *)
1078 echo "Error: illegal action for bridge"
1079 exit 1
1080 ;;
1081 esac
1082 ;;
1014 all) 1083 all)
1084 bridge "all"
1015 libnl "all" 1085 libnl "all"
1016 openssl "all" 1086 openssl "all"
1017 iw "all" 1087 iw "all"
@@ -1023,6 +1093,7 @@ case $package in
1023 compat-wireless "all" 1093 compat-wireless "all"
1024 ;; 1094 ;;
1025 clean-all) 1095 clean-all)
1096 bridge "clean"
1026 compat-wireless "clean" 1097 compat-wireless "clean"
1027 ti-utils "clean" 1098 ti-utils "clean"
1028 crda "clean" 1099 crda "clean"